aboutsummaryrefslogtreecommitdiffstats
path: root/autotest.sh
diff options
context:
space:
mode:
authorJoas Schilling <coding@schilljs.com>2018-02-20 17:40:09 +0100
committerJoas Schilling <coding@schilljs.com>2018-02-20 17:40:09 +0100
commit13e04bc7d41f5fe9657a07c20a5e221bd318073d (patch)
tree488d43226e3f18740e757f00ef9a4d1db6e77225 /autotest.sh
parent620ee00ac5d176e85ba0dd9dd10cff6d1ef5172f (diff)
downloadnextcloud-server-13e04bc7d41f5fe9657a07c20a5e221bd318073d.tar.gz
nextcloud-server-13e04bc7d41f5fe9657a07c20a5e221bd318073d.zip
Use phpunit's directory feature
Signed-off-by: Joas Schilling <coding@schilljs.com>
Diffstat (limited to 'autotest.sh')
-rwxr-xr-xautotest.sh14
1 files changed, 3 insertions, 11 deletions
diff --git a/autotest.sh b/autotest.sh
index ff59386e1bc..d8f62ce2367 100755
--- a/autotest.sh
+++ b/autotest.sh
@@ -380,17 +380,9 @@ function execute_tests {
echo "No coverage"
fi
- if [ -d "$2" ]; then
- for f in $(find "$2" -name '*Test.php'); do
- echo "${PHPUNIT[@]}" --configuration phpunit-autotest.xml $GROUP $COVER --log-junit "autotest-results-$DB.xml" "$2" / "$f" "$3"
- "${PHPUNIT[@]}" --configuration phpunit-autotest.xml $GROUP $COVER --log-junit "autotest-results-$DB.xml" "$f" "$3"
- RESULT=$?
- done;
- else
- echo "${PHPUNIT[@]}" --configuration phpunit-autotest.xml $GROUP $COVER --log-junit "autotest-results-$DB.xml" "$2" "$3"
- "${PHPUNIT[@]}" --configuration phpunit-autotest.xml $GROUP $COVER --log-junit "autotest-results-$DB.xml" "$2" "$3"
- RESULT=$?
- fi
+ echo "${PHPUNIT[@]}" --configuration phpunit-autotest.xml $GROUP $COVER --log-junit "autotest-results-$DB.xml" "$2" "$3"
+ "${PHPUNIT[@]}" --configuration phpunit-autotest.xml $GROUP $COVER --log-junit "autotest-results-$DB.xml" "$2" "$3"
+ RESULT=$?
if [ "$PRIMARY_STORAGE_CONFIG" == "swift" ] ; then
cd ..